﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Collections.ObjectModel;
using System.ComponentModel;

namespace BasicVMData
{
    public class GetBasicData
    {

        public ObservableCollection<BasicData> GetBasicDataCollection()
        {
            ObservableCollection<BasicData> dataList = new ObservableCollection<BasicData>();
            string[] fnames = { "Sally", "Sue", "John", "Billy", "Jean", "Scott", "Mike", "David" };
            string[] lnames = { "Helm", "Thomas", "Meadow", "King", "Walker", "Thomas", "Eisenhower", "Brown" };
            Random r = new Random();

            for (int i = 0; i < 10; i++)
            {                
                dataList.Add( new BasicData( i.ToString(),
                    fnames[r.Next(0, 8)] + " " + lnames[r.Next(0, 8)],                   
                    System.DateTime.Today.AddHours(i) )
                    );
            };

            return dataList;
        }
               
    }

    public class BasicData : INotifyPropertyChanged
    {
        string id;
        string name;   
        DateTime date;
        

        public BasicData()
        {
        }

        public BasicData(string id, string name, DateTime date)
        {
            this.ID = id;
            this.Name = name;           
            this.Date = date;
            
        }

        public string ID
        {
            get { return id; }
            set
            {
                if (id != value)
                {
                    id = value;
                    OnPropertyChanged("ID");
                }
            }
        }
        
        public string Name
        {
            get { return name; }
            set
            {
                if (name != value)
                {
                    name = value;
                    OnPropertyChanged("Name");
                }
            }
        }        

        public DateTime Date
        {
            get { return date; }
            set
            {
                if (date != value)
                {
                    date = value;
                    OnPropertyChanged("Date");
                }
            }
        }
       

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }
        #endregion
    }
    
}
